VARKON Version 1.15 1997-10-24

> ## csys_1p - Geometric procedure

> Creates a coordinate system
> Description
> Creates a local coordinate system using one position and three optional angles of rotation.
> Syntax
> csys_1p(id, name, p, rotx, roty, rotz:attributes);

> REF | id;
> STRING | name*10;
> VECTOR | p;
> FLOAT | rotx;
> FLOAT | roty;
> FLOAT | rotz;

> Principal parameters

> id | - Local identity
> name | - User defined name
> p | - Position of origin

> Optional parameters

> rotx | - Rotation around X-axis, default = 0
> roty | - Rotation around Y-axis, default = 0
> rotz | - Rotation around Z-axis, default = 0

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)

> Example
> csys_1p(#1,vec(0,0), , ,30);
> Creates a coordinate system rotated 30 degrees around the active Z-axis.
> Comments
> If specified, rotation is done in three steps with rotation around the X-axis first, then the Y-axis and finally the Z-axis.

VARKON Homepage | Index